axivdma: XAxiVdma_Config Struct Reference

| axivdma Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

- Data Structures
- Data Fields

Data Fields
XAxiVdma_Config Struct Reference
Axivdma_v6_6

This typedef contains the hardware configuration information for a VDMA device. More...

## Data Fields
u16 | DeviceId
| DeviceId is the unique ID of the device. More...
UINTPTR | BaseAddress
    BaseAddress is the physical base address of the
device's registers More...
u16 | MaxFrameStoreNum
| The maximum number of Frame Stores. More...
int | HasMm2S
| Whether hw build has read channel. More...
int | HasMm2SDRE
| Read channel supports unaligned transfer. More...
int | Mm2SWordLen
| Read channel word length. More...
int | HasS2Mm
| Whether hw build has write channel. More...
int | HasS2MmDRE
| Write channel supports unaligned transfer. More...
int | S2MmWordLen
| Write channel word length. More...
int | HasSG
| Whether hardware has SG engine. More...
int | EnableVIDParamRead
| Read Enable for video parameters in direct register mode. More...
int | UseFsync
| DMA operations synchronized to Frame Sync. More...
int | FlushonFsync
| VDMA Transactions are flushed & channel states reset on Frame Sync. More...
int | Mm2SBufDepth
| Depth of Read Channel Line Buffer FIFO. More...
int | S2MmBufDepth
| Depth of Write Channel Line Buffer FIFO. More...
int | Mm2SGenLock
| Mm2s Gen Lock Mode. More...
int | S2MmGenLock
| S2Mm Gen Lock Mode. More...
int | InternalGenLock
| Internal Gen Lock. More...
int | S2MmSOF
| S2MM Start of Flag Enable. More...
int | Mm2SStreamWidth
| MM2S TData Width. More...
int | S2MmStreamWidth
| S2MM TData Width. More...
int | Mm2SThresRegEn
| MM2S Threshold Register Enable Flag This corresponds to C_ENABLE_DEBUG_INFO_1 configuration parameter. More...
int | Mm2SFrmStoreRegEn
| MM2S Frame Store Register Enable Flag This corresponds to C_ENABLE_DEBUG_INFO_5 configuration parameter. More...
int | Mm2SDlyCntrEn
| MM2S Delay Counter (Control Reg) Enable Flag This corresponds to C_ENABLE_DEBUG_INFO_6 configuration parameter. More...
int | Mm2SFrmCntrEn
| MM2S Frame Counter (Control Reg) Enable Flag This corresponds to C_ENABLE_DEBUG_INFO_7 configuration parameter. More...
int | S2MmThresRegEn
| S2MM Threshold Register Enable Flag This corresponds to C_ENABLE_DEBUG_INFO_9 configuration parameter. More...
int | S2MmFrmStoreRegEn
| S2MM Frame Store Register Enable Flag This corresponds to C_ENABLE_DEBUG_INFO_13 configuration parameter. More...
int | S2MmDlyCntrEn
| S2MM Delay Counter (Control Reg) Enable Flag This corresponds to C_ENABLE_DEBUG_INFO_14 configuration parameter. More...
int | S2MmFrmCntrEn
| S2MM Frame Counter (Control Reg) Enable Flag This corresponds to C_ENABLE_DEBUG_INFO_15 configuration parameter. More...
int | EnableAllDbgFeatures
| Enable all Debug features This corresponds to C_ENABLE_DEBUG_ALL configuration parameter. More...
int | AddrWidth
| Address Width. More...
u8 | HasVFlip
| Whether hardware has Vertical Flip enabled(c_enable_vert_flip) More...

## Detailed Description

This typedef contains the hardware configuration information for a VDMA device.

Each VDMA device should have a configuration structure associated with it.